summaryrefslogtreecommitdiffabout
path: root/delta.jscad
authorMichael Krelin <hacker@klever.net>2016-01-06 23:45:07 (UTC)
committer Michael Krelin <hacker@klever.net>2016-01-06 23:45:07 (UTC)
commitd9e0cf63db5c64802dfbba0dc76506b9b0d5127a (patch) (side-by-side diff)
treefdd6fbd126f56912af51b110981d3dbc21b36ab3 /delta.jscad
parent79d2c17aae2b852d1af73c3c2192430b87070935 (diff)
downloadredelta-d9e0cf63db5c64802dfbba0dc76506b9b0d5127a.zip
redelta-d9e0cf63db5c64802dfbba0dc76506b9b0d5127a.tar.gz
redelta-d9e0cf63db5c64802dfbba0dc76506b9b0d5127a.tar.bz2
duet configuration
Diffstat (limited to 'delta.jscad') (more/less context) (show whitespace changes)
-rw-r--r--delta.jscad5
1 files changed, 5 insertions, 0 deletions
diff --git a/delta.jscad b/delta.jscad
index be12b65..f06870e 100644
--- a/delta.jscad
+++ b/delta.jscad
@@ -5,48 +5,53 @@ var PRINT = {
fit_tolerance: .2, slide_tolerance: .4, play_tolerance: .6
};
var CONFIG = {
extrusion: {
w: 20
},
base: {
el: 240, // side extrusion length
sl: 240+2*70, // triangle side length
gap: 9 // vertical gap between side extrusions
},
column: {
h: 600 // column height
},
heatbed: {
r: 220/2, // heatbed radius
sr: 220/2-4.5, // radius of the screwholes circle
h: 3+1.5 // thickness (including insulation)
},
glass: {
r: 195/2, // glass radius
h: 3 // glass thickness
},
+ duet: {
+ pcb_size: { x: 124, y: 100, z: 1 },
+ hole_spacing: { x: 115, y: 92 },
+ h: 30
+ },
hotend: {
h: 62.4, // full assembly height
groove: { d:12, h:6 }, // grove diameter and height
ungroove: { d:16, above:3.7, below: 3+4 }
},
effector: {
h: 6,
o: 20, // offset to the rod mounts line
rods_apart: 40,
cone: { shell: 1, angle: Math.PI/6 },
rodend: {
joint_w: 7, // thickness of the joint
screw_l: 20-1, // 20 with the head
screw_d: 3
},
hotend: { margin: 2 },
hinge: {
d: 3, w: 5, margin: 2.5,
h: 1+(6+3.7)/2, // elevation + grove + top
e: 1 // elevation
},
clamp: {
shell: 4.6,
d: 3,